package com.community.pocket.data.adapter;

import android.content.Context;
import android.widget.ArrayAdapter;

import com.community.pocket.data.model.GarbageWastePrice;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 废品回收数据适配器
 */
public class GarbageWasteAdpter extends ArrayAdapter<String> {
    private List<GarbageWastePrice> dataList;

    private List<String> list = new ArrayList<>();

    private Map<String, GarbageWastePrice> map = new HashMap<>();

    public GarbageWasteAdpter(List<GarbageWastePrice> dataList, Context context) {
        super(context, android.R.layout.simple_list_item_1);
        addAll(dataList);
    }

    public void addAll(List<GarbageWastePrice> dataList) {
        this.dataList = dataList;
        this.list.clear();
        this.map.clear();

        for (GarbageWastePrice price : dataList) {
            this.list.add(price.getName());
            this.map.put(price.getName(), price);
        }

        clear();
        addAll(this.list);
    }

    public GarbageWastePrice get(String name) {
        return this.map.get(name);
    }

    public boolean containsKey(String name) {
        return this.list.contains(name);
    }
}
