package com.community.pocket.data.adapter;

import android.content.Context;
import android.widget.ArrayAdapter;

import com.community.pocket.data.model.VisitorPeople;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 访客信息数据适配器
 */
public class VisitorAdpter extends ArrayAdapter<String> {

    private List<VisitorPeople> dataList;
    private List<String> list = new ArrayList<>();
    private Map<String, VisitorPeople> map = new HashMap<>();

    public VisitorAdpter(List<VisitorPeople> dataList, Context context) {
        super(context, android.R.layout.simple_list_item_1);
        addAll(dataList);
    }

    public void addAll(List<VisitorPeople> dataList) {
        clear();
        this.list.clear();
        this.map.clear();

        this.dataList = dataList;
        for (VisitorPeople people : this.dataList) {
            this.list.add(people.getUsername());
            this.map.put(people.getUsername(), people);
        }

        addAll(this.list);
    }

    public boolean containsKey(String name) {
        return this.map.containsKey(name);
    }

    public List<String> getTime(String name) {
        VisitorPeople people = map.get(name);
        if (people != null) {
            return people.getTime();
        } else {
            return new ArrayList<>();
        }
    }

    public List<String> getList() {
        return list;
    }

    public List<VisitorPeople> getDataList() {
        return dataList;
    }
}
