package com.community.pocket.data.main.forum;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.model.LocalToken;
import com.community.pocket.ui.main.ui.forum.data.ForumDataResponse;
import com.community.pocket.util.HttpRequest;
import com.community.pocket.util.HttpUtil;
import com.community.pocket.util.SimpleHttpParse;

import okhttp3.FormBody;

/**
 * 帖子详情数据接口
 */
public class ForumDataRequest {
    private static volatile ForumDataRequest instance;

    private ForumDataRequest() {
    }

    public static ForumDataRequest getInstance() {
        if (instance == null) {
            instance = new ForumDataRequest();
        }
        return instance;
    }

    //回帖
    @HttpRequest("/forum/content/reply")
    public void sendReply(MutableLiveData<ForumDataResponse> liveData, String forumId, String content) {
        HttpUtil.getRequest(HttpUtil.Method.POST,
                new SimpleHttpParse<ForumDataResponse>(liveData).getInterface(ForumDataResponse.class),
                LocalToken.create()
                        .add("forumId", forumId)
                        .add("content", content)
                        .build()
        );
    }

    //获取帖子详情数据
    @HttpRequest("/forum/content")
    public void loadData(MutableLiveData<ForumDataResponse> liveData, String forumId) {
        HttpUtil.getRequest(HttpUtil.Method.GET,
                new SimpleHttpParse<ForumDataResponse>(liveData).getInterface(ForumDataResponse.class),
                new FormBody.Builder().add("forumId", forumId).build());
    }
}
