package com.community.pocket.data.main.forum;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.ui.main.ui.forum.hot.ForumHotResponse;
import com.community.pocket.util.HttpRequest;
import com.community.pocket.util.HttpUtil;
import com.community.pocket.util.PropertiesUtil;
import com.community.pocket.util.SimpleHttpParse;

import okhttp3.FormBody;

/**
 * 热门动态接口请求
 */
public class ForumHotRequest {
    private static volatile ForumHotRequest instance;

    private ForumHotRequest() {
    }

    public static ForumHotRequest getInstance() {
        if (instance == null) {
            instance = new ForumHotRequest();
        }
        return instance;
    }

    //加载热门信息
    @HttpRequest("/forum/hot")
    public void loadHot(MutableLiveData<ForumHotResponse> liveData) {
        HttpUtil.getRequest(HttpUtil.Method.GET,
                new SimpleHttpParse<ForumHotResponse>(liveData).getInterface(ForumHotResponse.class),
                new FormBody.Builder().add("num", PropertiesUtil.getValue("rank.num")).build());
    }
}
