package com.community.pocket.data.main.forum;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.model.ForumStatus;
import com.community.pocket.data.model.ForumType;
import com.community.pocket.ui.main.ui.forum.news.ForumNewResponse;
import com.community.pocket.util.HttpRequest;
import com.community.pocket.util.HttpUtil;
import com.community.pocket.util.SimpleHttpParse;

import okhttp3.FormBody;

/**
 * 最新帖子列表数据接口
 */
public class ForumNewRequest {
    private static volatile ForumNewRequest instance;

    private ForumNewRequest() {
    }

    public static ForumNewRequest getInstance() {
        if (instance == null) {
            instance = new ForumNewRequest();
        }
        return instance;
    }

    @HttpRequest("/forum/new")
    public void loadForumNew(MutableLiveData<ForumNewResponse> liveData, Long page, String title) {
        HttpUtil.getRequest(HttpUtil.Method.GET,
                new SimpleHttpParse<ForumNewResponse>(liveData).getInterface(ForumNewResponse.class),
                new FormBody.Builder()
                        .add("status", ForumStatus.ok.name())
                        .add("currentPage", String.valueOf(page))
                        .add("title", title)
                        .add("forumType", ForumType.active.name())
                        .add("forumType", ForumType.score.name())
                        .add("forumType", ForumType.topic.name())
                        .build());
    }
}
