package com.community.pocket.data.main.forum;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.ui.main.ui.forum.main.ForumNoticeResponse;
import com.community.pocket.util.HttpRequest;
import com.community.pocket.util.HttpUtil;
import com.community.pocket.util.SimpleHttpParse;

/**
 * 论坛接口管理
 */
public class ForumRequest {
    private static volatile ForumRequest instance;

    private ForumRequest() {
    }

    public static ForumRequest getInstance() {
        if (instance == null) {
            instance = new ForumRequest();
        }
        return instance;
    }

    //加载公告数据
    @HttpRequest("/forum/notice")
    public void loadNotices(MutableLiveData<ForumNoticeResponse> liveData) {

        HttpUtil.getRequest(HttpUtil.Method.GET,
                new SimpleHttpParse<ForumNoticeResponse>(liveData).getInterface(ForumNoticeResponse.class));
    }
}
