package com.community.pocket.data.main.garbage;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.ui.main.ui.garbage.waste.GarbageWasteResponse;
import com.community.pocket.util.HttpRequest;
import com.community.pocket.util.HttpUtil;
import com.community.pocket.util.SimpleHttpParse;

import okhttp3.FormBody;

/**
 * 废品回收接口
 */
public class GarbageWasteRequest {
    private static volatile GarbageWasteRequest instance;

    private GarbageWasteRequest() {
    }

    public static GarbageWasteRequest getInstance() {
        if (instance == null) {
            instance = new GarbageWasteRequest();
        }
        return instance;
    }

    //检索默认废品信息
    @HttpRequest("/garbage/waste")
    public void searchDefault(MutableLiveData<GarbageWasteResponse> liveData) {
        HttpUtil.getRequest(HttpUtil.Method.GET,
                new SimpleHttpParse<GarbageWasteResponse>(liveData).getInterface(GarbageWasteResponse.class));
    }

    //检索废品
    @HttpRequest("/garbage/waste/query")
    public void search(MutableLiveData<GarbageWasteResponse> liveData, String name) {
        HttpUtil.getRequest(HttpUtil.Method.GET,
                new SimpleHttpParse<GarbageWasteResponse>(liveData).getInterface(GarbageWasteResponse.class),
                new FormBody.Builder().add("name", name).build());

    }

}
