package com.community.pocket.ui.login;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.data.model.Token;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

/**
 * 登陆响应结果
 */
public class LoginResponse extends Response<LoginResponse.Msg> {
    private Token token;

    public Token getToken() {
        return token;
    }

    public void setToken(Token token) {
        this.token = token;
    }


    enum Msg implements CustomMessage {
        ok(R.string.login_ok),
        fail(R.string.login_fail);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }

        public void setMsg(Integer msg) {
            this.msg = msg;
        }
    }
}
