package com.community.pocket.ui.main.ui.forum.data;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.data.model.Forum;
import com.community.pocket.data.model.ForumContent;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * 帖子详情数据管理
 *
 */
public class ForumDataResponse extends Response<ForumDataResponse.Msg> {
    private List<ForumContent> forumContentList;

    private Forum forum;

    List<ForumContent> getForumContentList() {
        return forumContentList;
    }

    public void setForumContentList(List<ForumContent> forumContentList) {
        this.forumContentList = forumContentList;
    }

    public Forum getForum() {
        return forum;
    }

    public void setForum(Forum forum) {
        this.forum = forum;
    }

    enum Msg implements CustomMessage {
        ok(R.string.forum_data_ok),
        fail(R.string.forum_data_fail),
        reply_ok(R.string.forum_reply_ok),
        reply_fail(R.string.forum_reply_fail),
        token(R.string.invalid_token);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        public void setMsg(Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
