package com.community.pocket.ui.main.ui.forum.main;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.data.model.Notice;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * 公告信息响应体
 */
public class ForumNoticeResponse extends Response<ForumNoticeResponse.Msg> {

    private List<Notice> noticeList;

    enum Msg implements CustomMessage {
        ok(R.string.load_notice_ok),
        fail(R.string.load_notice_fail);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }

    List<Notice> getNoticeList() {
        return noticeList;
    }

    public void setNoticeList(List<Notice> noticeList) {
        this.noticeList = noticeList;
    }
}
