package com.community.pocket.ui.main.ui.forum.my;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.data.model.Forum;
import com.community.pocket.data.model.Page;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

public class ForumMyResponse extends Response<ForumMyResponse.Msg> {
    private Page<Forum> forumList;

    Page<Forum> getForumList() {
        return forumList;
    }

    public void setForumList(Page<Forum> forumList) {
        this.forumList = forumList;
    }

    enum Msg implements CustomMessage {
        ok(R.string.load_forum_my_ok),
        ok_empty(R.string.no_more_forum),
        ok_more(R.string.load_more_forum_ok),
        fail(R.string.load_forum_my_fail),
        token(R.string.invalid_token);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
