package com.community.pocket.ui.main.ui.forum.post;

import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Spinner;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.navigation.NavController;
import androidx.navigation.Navigation;

import com.community.pocket.R;
import com.community.pocket.ui.BaseFragment;

import org.xutils.view.annotation.ContentView;
import org.xutils.view.annotation.ViewInject;

/**
 * 发送帖子
 */
@ContentView(R.layout.forum_post_fragment)
public class ForumPostFragment extends BaseFragment {
    /**
     * 帖子类型
     */
    @ViewInject(R.id.post_type)
    private Spinner postType;

    /**
     * 帖子类型布局导航控制器
     */
    private NavController nav;

    @RequiresApi(api = Build.VERSION_CODES.KITKAT)
    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        onPostTypeChange();
    }


    /**
     * 切换帖子类型
     */
    private void onPostTypeChange() {
        postType.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @RequiresApi(api = Build.VERSION_CODES.KITKAT)
            @Override
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
                if (nav == null) {
                    nav = Navigation.findNavController(requireView().findViewById(R.id.post_type_fragment));
                } else {
                    switch (position) {
                        case 0:
                            nav.navigate(R.id.forumPostActiveFragment);
                            break;
                        case 1:
                            nav.navigate(R.id.forumPostScore);
                            break;
                        case 2:
                            nav.navigate(R.id.forumPostTopicFragment);
                            break;
                        case 3:
                            nav.navigate(R.id.forumPostComplainFragment);
                            break;
                        default:
                    }
                }
            }


            @Override
            public void onNothingSelected(AdapterView<?> parent) {

            }
        });
    }
}
