package com.community.pocket.ui.main.ui.forum.post;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.R;
import com.community.pocket.util.ValidUtil;

public class ForumPostScoreViewModel extends ForumPostViewModel {
    private MutableLiveData<ForumPostFormState.Score> forumPostFormState = new MutableLiveData<>();

    MutableLiveData<ForumPostFormState.Score> getForumPostFormState() {
        return forumPostFormState;
    }

    //结算表单校验
    void scoreFormChanged(String title, String content, String activeScore) {
        if (!ValidUtil.titleValid(title)) {
            forumPostFormState.setValue(new ForumPostFormState.Score(R.string.invalid_title, null, null));
        } else if (!ValidUtil.notesValid(content)) {
            forumPostFormState.setValue(new ForumPostFormState.Score(null, R.string.invalid_post, null));
        } else if (!ValidUtil.scoreValid(activeScore)) {
            forumPostFormState.setValue(new ForumPostFormState.Score(null, null, R.string.invalid_score));
        } else {
            forumPostFormState.setValue(new ForumPostFormState.Score(true));
        }
    }

    //发送结算贴贴
    void sendScore(String title, String content, String activeScore) {
        getRequest().sendScore(forumPostResponse, title, content, activeScore);
    }
}
