package com.community.pocket.ui.main.ui.forum.post;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.R;
import com.community.pocket.util.ValidUtil;

/**
 * 动态贴UI数据管理
 */
public class ForumPostTopicViewModel extends ForumPostViewModel {

    private MutableLiveData<ForumPostFormState> forumPostFormState = new MutableLiveData<>();

    MutableLiveData<ForumPostFormState> getForumPostFormState() {
        return forumPostFormState;
    }

    //动态表单校验
    void topicFormChanged(String title, String content) {
        if (!ValidUtil.titleValid(title)) {
            forumPostFormState.setValue(new ForumPostFormState(R.string.invalid_title, null));
        } else if (!ValidUtil.notesValid(content)) {
            forumPostFormState.setValue(new ForumPostFormState(null, R.string.invalid_post));
        } else {
            forumPostFormState.setValue(new ForumPostFormState(true));
        }
    }

    //发送动态贴
    void sendTopic(String title, String content) {
        getRequest().sendTopic(forumPostResponse, title, content);
    }
}
