package com.community.pocket.ui.main.ui.forum.post;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * 查询用户结果
 */
public class QueryUserResponse extends Response<QueryUserResponse.Msg> {

    private List<String> peopleList;


    List<String> getPeopleList() {
        return peopleList;
    }

    public void setPeopleList(List<String> peopleList) {
        this.peopleList = peopleList;
    }

    enum Msg implements CustomMessage {
        ok(R.string.forum_search_people_ok),
        ok_empty(R.string.not_match_people),
        fail(R.string.forum_search_people_fail);
        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
