package com.community.pocket.ui.main.ui.garbage.waste;

import com.community.pocket.R;
import com.community.pocket.data.model.GarbageWasteManage;
import com.community.pocket.data.model.GarbageWastePrice;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

import java.util.List;

public class GarbageWasteResponse extends Response<GarbageWasteResponse.Msg> {

    enum Msg implements CustomMessage {
        ok(R.string.garbage_waste_search_ok);

        private Integer msg;

        Msg(Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }

    //默认价格信息
    private List<GarbageWastePrice> defaultList;

    //检索价格信息
    private List<GarbageWastePrice> searchList;

    //管理员信息
    private GarbageWasteManage garbageWasteManage;

    List<GarbageWastePrice> getDefaultList() {
        return defaultList;
    }

    public void setDefaultList(List<GarbageWastePrice> defaultList) {
        this.defaultList = defaultList;
    }

    List<GarbageWastePrice> getSearchList() {
        return searchList;
    }

    public void setSearchList(List<GarbageWastePrice> searchList) {
        this.searchList = searchList;
    }

    GarbageWasteManage getGarbageWasteManage() {
        return garbageWasteManage;
    }

    public void setGarbageWasteManage(GarbageWasteManage garbageWasteManage) {
        this.garbageWasteManage = garbageWasteManage;
    }
}
