package com.community.pocket.ui.main.ui.share;

import android.os.Build;
import android.text.Html;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

import androidx.annotation.IdRes;

import com.community.pocket.R;
import com.community.pocket.ui.listener.MyTextChange;
import com.community.pocket.util.PropertiesUtil;

/**
 * 提示正文输入字数
 */
public class ShowWordCount {

    @IdRes
    private int[] ids;

    private View view;

    private EditText postContent;

    private static final int LENGTH = PropertiesUtil.getIntValue("textMultiLine.length");

    public ShowWordCount(int[] ids, int contentId, View view) {
        this.ids = ids;
        this.view = view;
        this.postContent = view.findViewById(contentId);
    }

    /**
     * 设置计数
     */
    private void setCount() {
        String text = view.getContext().getString(R.string.post_content_count, postContent.length(), LENGTH);

        for (int id : ids) {
            TextView textView = view.findViewById(id);
            if (Build.VERSION.SDK_INT > Build.VERSION_CODES.N) {
                textView.setText(Html.fromHtml(text, Html.FROM_HTML_MODE_LEGACY));
            } else {
                textView.setText(Html.fromHtml(text));
            }
        }
    }


    /**
     * 提示正文字数
     */
    public void showCount() {

        setCount();

        postContent.addTextChangedListener(new MyTextChange() {
            @Override
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                setCount();
            }
        });
    }
}
