package com.community.pocket.ui.main.ui.visitor.appointment;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.data.model.VisitorPeople;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

import java.util.List;

public class VisitorPeopleResponse extends Response<VisitorPeopleResponse.Msg> {

    private List<VisitorPeople> visitorPeopleList;

    List<VisitorPeople> getVisitorPeopleList() {
        return visitorPeopleList;
    }

    public void setVisitorPeopleList(List<VisitorPeople> visitorPeopleList) {
        this.visitorPeopleList = visitorPeopleList;
    }

    enum Msg implements CustomMessage {
        ok(R.string.visitor_appointment_people_ok),
        fail(R.string.visitor_appointment_people_fail),
        ok_empty(R.string.not_match_people);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        public void setMsg(Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
