package com.community.pocket.ui.main.ui.visitor.my;

import android.os.Bundle;
import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.ViewModelProvider;

import com.community.pocket.R;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.ui.main.ui.visitor.VisitorLoad;
import com.community.pocket.ui.main.ui.visitor.VisitorMyVisitor;

import org.xutils.view.annotation.ContentView;

/**
 * 我的访客界面
 */
@ContentView(R.layout.visitor_my_fragment)
public class VisitorMyFragment extends VisitorMyVisitor {

    private VisitorMyViewModel viewModel;

    private Long currentPage;

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        name.setText(R.string.visitor_name);
        time.setText(R.string.visitor_time);

        viewModel = new ViewModelProvider(this, new ViewModelProvider.NewInstanceFactory()).get(VisitorMyViewModel.class);

        load(1L);

        //监听我的访客请求状态
        viewModel.getVisitorMyResponse().observe(getViewLifecycleOwner(), visitorMyResponse -> {
            if (visitorMyResponse == null) {
                return;
            }

            visitorMyResponse.toast(getContext());

            if (visitorMyResponse.getResult() == Response.Result.OK) {
                this.currentPage = visitorMyResponse.getVisitorList().getCurrentPage();
                loadData(visitorMyResponse.getVisitorList());
            }
        });
    }

    @Override
    protected Long getCurrentPage() {
        return currentPage;
    }

    @Override
    protected VisitorLoad getViewModel() {
        return viewModel;
    }
}
