package com.community.pocket.ui.main.ui.visitor.my;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.data.model.MyVisitor;
import com.community.pocket.data.model.Page;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

public class VisitorMyResponse extends Response<VisitorMyResponse.Msg> {
    private Page<MyVisitor> visitorList;

    Page<MyVisitor> getVisitorList() {
        return visitorList;
    }

    public void setVisitorList(Page<MyVisitor> visitorList) {
        this.visitorList = visitorList;
    }

    enum Msg implements CustomMessage {
        ok(R.string.load_visitor_my_ok),
        ok_empty(R.string.no_more_data),
        ok_more(R.string.load_more_data_ok),
        fail(R.string.load_visitor_my_fail),
        token(R.string.invalid_token);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
