package com.community.pocket.ui.main.ui.visitor.reservation;

import android.os.Bundle;
import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.ViewModelProvider;

import com.community.pocket.R;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.ui.main.ui.visitor.VisitorLoad;
import com.community.pocket.ui.main.ui.visitor.VisitorMyVisitor;

import org.xutils.view.annotation.ContentView;

/**
 * 我的预约界面
 */
@ContentView(R.layout.visitor_my_fragment)
public class VisitorReservationFragment extends VisitorMyVisitor {

    private VisitorReservationViewModel viewModel;

    private Long currentPage;

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        name.setText(R.string.appointment_name);
        time.setText(R.string.appointment_time);

        viewModel = new ViewModelProvider(this, new ViewModelProvider.NewInstanceFactory()).get(VisitorReservationViewModel.class);

        load(1L);

        //监听我的预约请求状态
        viewModel.getVisitorReservationResponse().observe(getViewLifecycleOwner(), visitorReservationResponse -> {
            if (visitorReservationResponse == null) {
                return;
            }

            visitorReservationResponse.toast(getContext());

            if (visitorReservationResponse.getResult() == Response.Result.OK) {
                this.currentPage = visitorReservationResponse.getVisitorList().getCurrentPage();
                loadData(visitorReservationResponse.getVisitorList());
            }
        });
    }

    @Override
    protected Long getCurrentPage() {
        return currentPage;
    }

    @Override
    protected VisitorLoad getViewModel() {
        return viewModel;
    }

}
