package com.community.pocket.ui.register;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

/**
 * 注册结果
 */
public class RegisterResponse extends Response<RegisterResponse.Msg> {

    /**
     * 响应类型
     */
    enum Msg implements CustomMessage {
        ok(R.string.register_ok),
        name(R.string.register_fail_name_repeat),
        mobie(R.string.register_fail_mobie_repeat),
        email(R.string.register_fail_email_repeat);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @Override
        @NotNull
        public @StringRes
        Integer getMsg() {
            return msg;
        }

        public void setMsg(Integer msg) {
            this.msg = msg;
        }
    }
}
