package com.community.pocket.ui.resetpwd;

import androidx.annotation.Nullable;

class ResetPwdFormState {
    /**
     * 重置密码第一步校验
     */
    static class Step1 {
        @Nullable
        private Integer usernameError;
        @Nullable
        private Integer emailError;

        private boolean isDataValid;

        Step1(@Nullable Integer usernameError, @Nullable Integer emailError) {
            this.usernameError = usernameError;
            this.emailError = emailError;
        }

        Step1(boolean isDataValid) {
            this.isDataValid = isDataValid;
        }

        @Nullable
        Integer getUsernameError() {
            return usernameError;
        }

        @Nullable
        Integer getEmailError() {
            return emailError;
        }

        boolean isDataValid() {
            return isDataValid;
        }
    }

    /**
     * 重置密码第二步校验
     */
    static class Step2 {
        @Nullable
        private Integer codeError;
        //发送验证码剩余等待秒数
        private Integer second;

        private boolean isDataValid;

        Step2(@Nullable Integer codeError) {
            this.codeError = codeError;
        }

        Step2(@Nullable Integer codeError, Integer second) {
            this.codeError = codeError;
            this.second = second;
        }

        Step2(boolean isDataValid) {
            this.isDataValid = isDataValid;
        }

        Integer getSecond() {
            return second;
        }

        @Nullable
        Integer getCodeError() {
            return codeError;
        }

        boolean isDataValid() {
            return isDataValid;
        }
    }

    static class Step3 {
        @Nullable
        private Integer passwordError;
        @Nullable
        private Integer confirmPasswordError;

        private boolean isDataValid;

        Step3(@Nullable Integer passwordError, @Nullable Integer confirmPasswordError) {
            this.passwordError = passwordError;
            this.confirmPasswordError = confirmPasswordError;
        }

        Step3(boolean isDataValid) {
            this.isDataValid = isDataValid;
        }

        @Nullable
        Integer getPasswordError() {
            return passwordError;
        }

        @Nullable
        Integer getConfirmPasswordError() {
            return confirmPasswordError;
        }

        boolean isDataValid() {
            return isDataValid;
        }
    }

}
